## Script (Python) "action_dostep.cpy"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##bind state=state
##parameters=
##title= moves to next step
##

# SETUP
state.set(errors={}, status="success")
session = context.REQUEST.SESSION
stepid = session["stepid"]
step = getattr(context, stepid)
render_template = "action_edition_step_view"

# PERFORM TASKS
tasks = step.getStep_tasks()
for t in tasks:
   state = getattr(step, t)(state)
   if state.status == "failure":
      try:
         del session["record_path"]
      except:
         pass
      return state

# PROCEED TO NEXT STEP
next_step_id = step.getNextStepId()
next_step_path = '/'.join((context.absolute_url(), render_template, next_step_id))
session["stepid"] = next_step_id
state.setNextAction("redirect_to:string:%s" % next_step_path)
return state
